Anyone built Perl 5.004 on BSDi 3.1? 
Author Message
 Anyone built Perl 5.004 on BSDi 3.1?

I am getting a compile error stating that some of the arguments in a
function call are incompatible in doio.c.  Does anyone know how to get
Perl 5.004 to compile on BSDi 3.1?

Please copy me in email if you respond so that I get the response
immediately.

--
Thanks,
Rusty

=================================================
High Tech Homes - Home Automation Specialists
Russell C. Jackson - Owner

=================================================



Wed, 26 Jul 2000 03:00:00 GMT  
 Anyone built Perl 5.004 on BSDi 3.1?


Quote:

> I am getting a compile error stating that some of the arguments in a
> function call are incompatible in doio.c.  Does anyone know how to get
> Perl 5.004 to compile on BSDi 3.1?

> Please copy me in email if you respond so that I get the response
> immediately.

Here's Vivek Khera's post in www.nexial.nl   Use patch -l < fileNameOfPatch
Don't forget the '-l' to take care of the spaces....

Regards,
Ned Schumann

--- hints/bsdos.sh.dist Wed Sep 10 09:34:42 1997

 # hints file for BSD/OS (adapted from bsd386.sh)


-#     Added 3.1 with ELF dynamic libraries
+#     Added 4.0 with ELF dynamic libraries
 #     SYSV IPC tested Ok so I re-enabled.
 #

        '')     cc='gcc2' ;;
        esac
        ;;
-2.0*|2.1*|3.0*)
+2.0*|2.1*|3.0*|3.1*)
        so='o'


        libswanted="Xpm Xaw Xmu Xt SM ICE Xext X11 $libswanted"
        libswanted="rpc curses termcap $libswanted"
        ;;
-3.1*)
-       # ELF dynamic link libraries starting in 3.1
+4.0*)
+       # ELF dynamic link libraries starting in 4.0
         useshrplib='true'
        so='so'
        dlext='so'

        case "$cc" in
-       '')     cc='cc'                 # cc is gcc2 in 3.1
+       '')     cc='cc'                 # cc is gcc2 in 4.0
                cccdlflags="-fPIC"
                ccdlflags=" " ;;
        esac

                                                                v.

--



Wed, 26 Jul 2000 03:00:00 GMT  
 
 [ 2 post ] 

 Relevant Pages 

1. Building Perl5.004_04 on BSDI 3.1

2. Err Building PERL5 on BSDI 3.1

3. Building 5.004 on BSDi ??

4. BSDI/3.1, Perl, ncurses 4.2

5. perl 5.004_04 on BSDi 3.1

6. Perl 5.004 on BSDI BSD/OS 3.0

7. DB_File Perl 5.004 compilation problem under BSDI

8. Perl5_04 for BSDI 3.1

9. Compiling perl5.004_04 for BSDI 3.1

10. how do I install on BSDI 3.1?

11. Problems building perl pl 37 under Ultrix 3.1

12. Building TimeDate.pm for perl 5.004?

 

 
Powered by phpBB® Forum Software